21 Aug 2020 - The wiki is undergoing a major cleanup. If you arrived here from a search engine and cannot find the page, please use the wiki search instead (top right corner of page)
More info can be found on the forum

Difference between revisions of "Archive talk:Kodibuntu FAQ"

From Official Kodi Wiki
Jump to: navigation, search
m
m (needs more work and organizing other portions so as to avoid duplication of content.)
Line 21: Line 21:
 
}}
 
}}
  
{{FAQ|1=iso_install
+
{{FAQ|1=what_is_the_iso
 
| BGcolor=
 
| BGcolor=
 
| Question=What is the XBMCbuntu.iso?
 
| Question=What is the XBMCbuntu.iso?
 
| Answer=
 
| Answer=
:XBMCbuntu '''.iso''' [[XBMCbuntu/FAQ#Get and Install XBMCbuntu|can also be used to create a bootable USB disk]] with a completely independent OS which can be booted, thus not requiring any modifications to the host PC disk.
+
:The XBMCbuntu '''.iso''' is a Lubuntu based Linux distro, customised to provide point releases of XBMC like v13 Gotham, and [[XBMCbuntu/FAQ#Get and Install XBMCbuntu|can also be used to create a bootable USB disk]].
 +
Because of the nature of Live facilities of Linux distros available in XBMCbuntu, you can also try-it-out without installing, thus not requiring any modifications to the host harddrive.
 
}}
 
}}
  
Line 45: Line 46:
 
:For end-users the recommended minimum requirement is a [http://en.wikipedia.org/wiki/X86 x86-based computer], with a [http://en.wikipedia.org/wiki/Graphics_Processing_Unit 3D GPU (Graphics Processing Unit)] that at least supports [http://en.wikipedia.org/wiki/Shader_model Shader Model 3.0] and [http://en.wikipedia.org/wiki/OpenGL OpenGL 2.0] (that features 24bpp or 32bpp for 3D hardware-acceleration support, which XBMC GUI need to run smoothly at an acceptable frame-rate). Graphic adapters that support [http://en.wikipedia.org/wiki/DirectX DirectX version 9.0c] or later usually meet all of those mentioned requirements, ([[Team-XBMC]] recommends [http://en.wikipedia.org/wiki/Nvidia NVIDIA GeForce 6150 or later] as NVIDIA are currently the manufacturer that offers [http://en.wikipedia.org/wiki/Graphics_hardware_and_FOSS good device-drivers for Linux] (and [http://en.wikipedia.org/wiki/Nvidia NVIDIA GeForce 6150 or later] supports OpenGL 2.0).
 
:For end-users the recommended minimum requirement is a [http://en.wikipedia.org/wiki/X86 x86-based computer], with a [http://en.wikipedia.org/wiki/Graphics_Processing_Unit 3D GPU (Graphics Processing Unit)] that at least supports [http://en.wikipedia.org/wiki/Shader_model Shader Model 3.0] and [http://en.wikipedia.org/wiki/OpenGL OpenGL 2.0] (that features 24bpp or 32bpp for 3D hardware-acceleration support, which XBMC GUI need to run smoothly at an acceptable frame-rate). Graphic adapters that support [http://en.wikipedia.org/wiki/DirectX DirectX version 9.0c] or later usually meet all of those mentioned requirements, ([[Team-XBMC]] recommends [http://en.wikipedia.org/wiki/Nvidia NVIDIA GeForce 6150 or later] as NVIDIA are currently the manufacturer that offers [http://en.wikipedia.org/wiki/Graphics_hardware_and_FOSS good device-drivers for Linux] (and [http://en.wikipedia.org/wiki/Nvidia NVIDIA GeForce 6150 or later] supports OpenGL 2.0).
  
 
+
== Installation ==
 
{{FAQ|1=get_and_install
 
{{FAQ|1=get_and_install
 
| BGcolor=WhiteSmoke
 
| BGcolor=WhiteSmoke
Line 86: Line 87:
 
}}
 
}}
  
 +
== Handling files ==
 
{{FAQ|1=transferring_files
 
{{FAQ|1=transferring_files
 
| BGcolor=
 
| BGcolor=

Revision as of 16:21, 29 March 2014

Attention talk.png For discussion about this page please see this Kodi forum post.
Wiki logo.png Wiki revamp:
This page or section of the wiki undergoing a revamp. Content is still being added and organized. Please pardon the dust and anything that might not be working.

65% Completed

Frequently Asked Questions for XBMCbuntu


Template:XBMC FAQ


1 General FAQ

See also: XBMC all platforms FAQ for FAQs that apply to all versions of XBMC.
See also: XBMC v13 (Gotham) FAQ for FAQs related to the (Gotham) v13 release.

1.1 What is XBMCbuntu?

Link

XBMCbuntu

1.2 What is the XBMCbuntu.iso?

Link
The XBMCbuntu .iso is a Lubuntu based Linux distro, customised to provide point releases of XBMC like v13 Gotham, and can also be used to create a bootable USB disk.

Because of the nature of Live facilities of Linux distros available in XBMCbuntu, you can also try-it-out without installing, thus not requiring any modifications to the host harddrive.

1.3 What version of Lubuntu is used by the current XBMCbuntu?

Link
For Gotham v13, the XBMCbuntu is based on Lubuntu 14.04LTS (Trusty Tahr)

1.4 What are XBMCbuntu's minimum requirements?

Link

XBMCbuntu

Notes
For end-users the recommended minimum requirement is a x86-based computer, with a 3D GPU (Graphics Processing Unit) that at least supports Shader Model 3.0 and OpenGL 2.0 (that features 24bpp or 32bpp for 3D hardware-acceleration support, which XBMC GUI need to run smoothly at an acceptable frame-rate). Graphic adapters that support DirectX version 9.0c or later usually meet all of those mentioned requirements, (Team-XBMC recommends NVIDIA GeForce 6150 or later as NVIDIA are currently the manufacturer that offers good device-drivers for Linux (and NVIDIA GeForce 6150 or later supports OpenGL 2.0).

2 Installation

2.1 How do I get and install XBMCbuntu?

Link

XBMCbuntu

2.2 How do I resolve any install wizard's problems?

Link

In the event, the XBMCbuntu install wizard isn't working for you, when selecting install from the grub menu options, do the following: XBMCbuntu

2.3 How do upgrade XBMC from PPA in XBMCBuntu?

Link

You dont have to necessarily wipe your current install to try a new version of XBMC, like a nightly version or beta for example, you can just "fire up" Putty or a shell in Linux/OS X

see also: Connecting to XBMCbuntu via SSH
see also: Where are XBMC Packages for Ubuntu/Debian
see also: What might break when upgrading to v12
sudo apt-get install python-software-properties pkg-config
sudo add-apt-repository -r ppa:current_XBMC_providing_ppa
sudo add-apt-repository ppa:the_ppa_you_wish_to_use

sudo apt-get update
sudo apt-get upgrade
sudo apt-get install xbmc xbmc.bin

Note: The first 3 lines only needed if you have a testing ppa or unstable ppa providing xbmc and want to insert a different source, otherwise its only run the last 3 lines to upgrade, since XBMCbuntu already has a providing ppa this is the ppas you want ppa:team-xbmc/ppa

3 Handling files

3.1 How can I transfer files to/from XBMCbuntu?

Link

Use SFTP with a client such as Cyberduck or FileZilla or scp via SSH within Linux/OS X shell. username and password is xbmc blank or the xbmc password selected during install.

See also: Connecting to XBMCbuntu via SFTP
See also: Connecting to XBMCbuntu via SSH

3.2 How can I backup all my settings to restore them if something goes wrong?

Link

You can use the Add-on:XBMC Backup Backup and restore your XBMC database and configuration files in the event of a crash or file corruption.

Alternatively if you do not wish to use a addon, you can navigate to your userdata folder and copy/archive all its contents to a external drive. This can be achieved various ways, depending on your OS.

3.3 Upgrading NVidia drivers in Ubuntu and variants

sudo apt-get install python-software-properties pkg-config
sudo add-apt-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update
sudo apt-get install nvidia-current nvidia-settings

Attention talk.png Nvidia Drivers updates XBMCBuntu, Ubuntu and variants forum discussion thread

4 Why do I get no audio devices detected ?

See: XBMCbuntu no audio devices

5 How can I connect a bluetooth keyboard/mouse/remote?

See this video:http://lubuntu.net/blog/lubuntu-screencast-bluetooth

6 Can't install because the install window is too big?

See Can't install because the install window is too big?

7 Can't install because the text is too small?

See Can't install because the text is too small?

8 Known issues

See: XBMC v12 (Frodo) issues